import request from '@/utils/request'

// 查询司法涉诉-失信被执行人列表
export function listExecutor(query) {
    return request({
        url: '/crmDishonestExecutor/findByPage',
        method: 'get',
        params: query
    })
}

// 查询司法涉诉-失信被执行人详细
export function getExecutor(id) {
    return request({
        url: '/crmDishonestExecutor/' + id,
        method: 'get'
    })
}

// 新增司法涉诉-失信被执行人
export function addExecutor(data) {
    return request({
        url: '/crmDishonestExecutor',
        method: 'post',
        data: data
    })
}

// 修改司法涉诉-失信被执行人
export function updateExecutor(data) {
    return request({
        url: '/crmDishonestExecutor',
        method: 'put',
        data: data
    })
}

// 删除司法涉诉-失信被执行人
export function delExecutor(id) {
    return request({
        url: '/crmDishonestExecutor/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delExecutorBatch(ids) {
    console.log(ids);
    return request.post('/crmDishonestExecutor/delete',ids)
}